﻿using System.Windows;
using System.Windows.Media;
using Petzold.MusicSynthesis;

namespace Harp
{
    public class StringInfo
    {
        public StringInfo(Pitch pitch)
        {
            this.Pitch = pitch;
        }

        public Pitch Pitch { set; get; }

        public AttackDecayEnvelope Envelope { set; get; }

        public Point TopPoint { set; get; }

        public Point EndPoint { set; get; }

        public QuadraticBezierSegment BezierSegment { set; get; }
    }
}
