﻿
namespace Petzold.MusicSynthesis
{
    public class StereoToMonoMixerInput : IMixerInput
    {
        public StereoToMonoMixerInput()
        {
        }

        public StereoToMonoMixerInput(IMonoSampleProvider input)
            : this()
        {
            this.Input = input;
        }

        public IMonoSampleProvider Input { set; get; }

        public AudioSample GetNextSample()
        {
            short sample = 0;

            if (this.Input != null)
                sample = Input.GetNextSample();

            return new AudioSample
            {
                Left = sample,
                Right = sample
            };
        }
    }
}
